Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-08-2019 09:15:21

Pierre16
Membre
Distrib. : debian_version 9 & 10
Noyau : Linux PC-Debian 3.16.0-4-686-pae #1 SMP Debian 3.1
(G)UI : XFCE 4-12
Inscription : 26-01-2017

[Résolu] Erreur DPKG avec upgrade sur stretch

Bonjour,

Lors de la cde full-upgrade avec stretch,je reçois l'erreur suivante:

E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
 



Que puis-je faire ?

Dernière modification par Pierre16 (10-08-2019 12:48:39)

Hors ligne

#2 10-08-2019 09:31:03

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

Bonjour smile

Pierre16 a écrit :

Que puis-je faire ?

Nous donner les informations qui détaillent l'erreur et qui précèdent ce message ?

Sinon, il y a un début de solution dans le message d'erreur

dpkg --configure -a


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

Hors ligne

#3 10-08-2019 09:36:55

Pierre16
Membre
Distrib. : debian_version 9 & 10
Noyau : Linux PC-Debian 3.16.0-4-686-pae #1 SMP Debian 3.1
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

Voilà ce que j'ai trouvé :

root@PC-HPDE9:/home/pit16# aptitude update


]


E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
W: Impossible de verrouiller le fichier cache : cela est en général dû à une installation simultanée de paquets avec dpkg ou un autre outil comme APT. Ouverture en mode lecture seule : AUCUNE des modifications de l'état des paquets que vous pourrez faire ne sera conservée.
Prendre :  1 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Prendre :  2 http://security.debian.org/debian-security stretch/updates InRelease [94,3 kB]
Ignoré http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  InRelease
Ignoré http://ftp.fr.debian.org/debian stretch InRelease                        
Prendre :  3 http://ftp.fr.debian.org/debian stretch-updates InRelease [91,0 kB]
Prendre :  4 http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  Release [983 B]
Prendre :  5 http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  Release.gpg [189 B]
Prendre :  6 http://repository.spotify.com stable InRelease [3 316 B]          
Atteint http://ftp.fr.debian.org/debian stretch Release                        
Ignoré http://cdn-fastly.deb.debian.org/debian stretch InRelease
Prendre :  7 http://security.debian.org/debian-security stretch/updates/main Sources [212 kB]
Atteint http://cdn-fastly.deb.debian.org/debian stretch Release                
Prendre :  8 http://security.debian.org/debian-security stretch/updates/main i386 Packages [504 kB]
Ignoré http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  Release.gpg
Prendre :  9 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [502 kB]
Prendre :  10 http://security.debian.org/debian-security stretch/updates/main Translation-en [225 kB]
 1 724 ko téléchargés en 1s (987 ko/s)                          

État actuel : 0 (-2) upgradable, 0 (-2) new.
W: Target Sources (main/source/Sources) is configured multiple times in /etc/apt/sources.list:6 and /etc/apt/sources.list:15
W: Target Sources (contrib/source/Sources) is configured multiple times in /etc/apt/sources.list:6 and /etc/apt/sources.list:15
W: Target Sources (non-free/source/Sources) is configured multiple times in /etc/apt/sources.list:6 and /etc/apt/sources.list:15
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (main/i18n/Translation-fr_FR) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (main/i18n/Translation-fr) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (contrib/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (contrib/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (contrib/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (contrib/i18n/Translation-fr_FR) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (contrib/i18n/Translation-fr) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (contrib/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (non-free/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (non-free/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Packages (non-free/binary-all/Packages) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (non-free/i18n/Translation-fr_FR) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (non-free/i18n/Translation-fr) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Target Translations (non-free/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list:5 and /etc/apt/sources.list:14
W: Erreur de GPG : http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  Release : Les signatures suivantes ne sont pas valables : EXPKEYSIG E3757B8E0D988D6E home:colomboem OBS Project <home:colomboem@build.opensuse.org> 1A2E38D61775C3963A039A87E3757B8E0D988D6E
E: The repository 'http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0  Release' is not signed.
E: Failed to download some files
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
 



root@PC-HPDE9:/home/pit16# dpkg --configure -a




Paramétrage de grub-efi-amd64 (2.02~beta3-5+deb9u1) ...
Création du fichier de configuration GRUB…
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Image Linux trouvée : /boot/vmlinuz-4.9.0-9-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.9.0-9-amd64
Image Linux trouvée : /boot/vmlinuz-4.9.0-8-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.9.0-8-amd64
Debian GNU/Linux 10 (buster) trouvé sur /dev/sda6
fait
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u4) ...
 

Hors ligne

#4 10-08-2019 09:50:36

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

bonjour pierre16 big_smile

peux tu nous renvoyer ton sources.list ainsi que ton sources.list.d ?

cat /etc/apt/sources.list


ls /etc/apt/sources.list.d/


cat /etc/apt/sources.list.d/*



éventuellement , aussi (plus par curiosité) , peux tu nous poster le résultat de ces commandes ???

dpkg -l |grep -iE "linux-image-|linux-headers-"


apt install inxi


inxi -F

Dernière modification par Debian Alain (10-08-2019 09:53:05)

Hors ligne

#5 10-08-2019 10:34:12

Pierre16
Membre
Distrib. : debian_version 9 & 10
Noyau : Linux PC-Debian 3.16.0-4-686-pae #1 SMP Debian 3.1
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

pit16@PC-HPDE9:~$ cat /etc/apt/sources.list



# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 xfce-CD Binary-1 20181110-11:34]/ stretch main

# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 xfce-CD Binary-1 20181110-11:34]/ stretch main

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

deb http://httpredir.debian.org/debian/ stretch main contrib non-free
 


pit16@PC-HPDE9:~$ ls /etc/apt/sources.list.d/



home:colomboem.list  spotify.list
 


pit16@PC-HPDE9:~$ cat /etc/apt/sources.list.d/*


bloc à supprimer si la commande n’affiche rien



deb http://download.opensuse.org/repositories/home:/colomboem/Debian_8.0/ /
deb http://repository.spotify.com stable non-free
 



pit16@PC-HPDE9:~$ dpkg -l |grep -iE "linux-image-|linux-headers-"



ii  linux-image-4.9.0-8-amd64             4.9.130-2                         amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-4.9.0-9-amd64             4.9.168-1+deb9u4                  amd64        Linux 4.9 for 64-bit PCs
ii  linux-image-amd64                     4.9+80+deb9u7                     amd64        Linux for 64-bit PCs (meta-package)
 



[code=user]pit16@PC-HPDE9:~$ inxi -F[/code]
System:    Host: PC-HPDE9 Kernel: 4.9.0-9-amd64 x86_64 (64 bit)
           Desktop: Xfce 4.12.3 Distro: Debian GNU/Linux 9 (stretch)
Machine:   Device: laptop System: Hewlett-Packard product: HP 630 Notebook PC v: 0585100000204C10002620100
           Mobo: Hewlett-Packard model: 3672 v: 23.4B
           BIOS: Hewlett-Packard v: F.39 date: 12/18/2011
Battery    BAT0: charge: 7.0 Wh 100.0% condition: 7.0/7.0 Wh (100%)
CPU:       Dual core Intel Pentium B950 (-MCP-) cache: 2048 KB
           clock speeds: max: 2100 MHz 1: 835 MHz 2: 984 MHz
Graphics:  Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
           Display Server: X.Org 1.19.2 drivers: modesetting (unloaded: fbdev,vesa)
           Resolution: 1366x768@60.03hz
           GLX Renderer: Mesa DRI Intel Sandybridge Mobile
           GLX Version: 3.0 Mesa 13.0.6
Audio:     Card-1 Intel 6 Series/C200 Series Family High Definition Audio Controller
           driver: snd_hda_intel
           Card-2 C-Media CM108 Audio Controller driver: USB Audio
           Sound: Advanced Linux Sound Architecture v: k4.9.0-9-amd64
Network:   Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169
           IF: eno1 state: up speed: 100 Mbps duplex: full
           mac: 2c:76:8a:de:ec:3b
           Card-2: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express)
           driver: ath9k
           IF: wlo1 state: up mac: 74:de:2b:5e:97:df
Drives:    HDD Total Size: 3500.7GB (64.0% used)
           ID-1: /dev/sda model: ST500LM012_HN size: 500.1GB
           ID-2: USB /dev/sdb model: M3_Portable size: 2000.4GB
           ID-3: USB /dev/sdc model: M3_Portable size: 1000.2GB
Partition: ID-1: / size: 65G used: 25G (41%) fs: ext4 dev: /dev/sda1
           ID-2: swap-1 size: 14.78GB used: 0.00GB (0%) fs: swap dev: /dev/sda3
Sensors:   System Temperatures: cpu: 38.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 185 Uptime: 4:31 Memory: 720.8/7840.9MB
           Client: Shell (bash) inxi: 2.3.5
 

Hors ligne

#6 10-08-2019 10:49:37

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

comme je le pensais , tu as des lignes en doublon dans tes sources .

voilà ce que je te propose :

1) sauvegarder le sources.list :

mv /etc/apt/sources.list /etc/apt/sources.list.bak


on sait jamais , si tu en a besoin ... (m'étonnerai mais bon ....)


2) le recréer

cat > /etc/apt/sources.list <<EOF
# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
EOF

 


copies colle tout le bloc


puis :

apt update


normalement , tu n'as plus de doublons


n'oublie pas de me dire si çà a marché pour toi ou si tu as d'autre souci .

Dernière modification par Debian Alain (10-08-2019 11:08:14)

Hors ligne

#7 10-08-2019 12:47:34

Pierre16
Membre
Distrib. : debian_version 9 & 10
Noyau : Linux PC-Debian 3.16.0-4-686-pae #1 SMP Debian 3.1
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : [Résolu] Erreur DPKG avec upgrade sur stretch

Ok ça marche !!

Si j'ai bien compris,c'était la présence de doublons dans le sources.list ....

Merci Alain.

Je passe en résolu.

Hors ligne

Pied de page des forums